[Numpy-discussion] Problem installing NumPy with Python 3.2.2/MacOS X 10.7.2

Samuel John scipy@samueljohn...
Thu Jan 26 12:01:22 CST 2012


Hi Hans-Martin!

You could try my instructions recently posted to this list http://thread.gmane.org/gmane.comp.python.scientific.devel/15956/
Basically, using llvm-gcc scipy segfaults when scipy.test() (on my system at least).

Therefore, I created the homebrew install formula. 
They work for whatever "which python" you have. But I have tested this for 2.7.2 on MacOS X 10.7.2.

Samuel


On 11.01.2012, at 16:12, Hans-Martin v. Gaudecker wrote:

> I recently upgraded to Lion and just faced the same problem with both Python 2.7.2 and Python 3.2.2 installed via the python.org installers. My hunch is that the errors are related to the fact that Apple dropped gcc-4.2 from XCode 4.2. I got gcc-4.2 via [1] then, still the same error -- who knows what else got lost in that upgrade... Previous successful builds with gcc-4.2 might have been with XCode 4.1 (or 4.2 installed on top of it).
> 
> In the end I decided to re-install both Python versions via homebrew, nicely described here [2] and everything seems to work fine using LLVM. Test outputs for NumPy master under 2.7.2 and 3.2.2 are below in case they are of interest.
> 
> Best,
> Hans-Martin
> 
> [1] https://github.com/kennethreitz/osx-gcc-installer
> [2] http://www.thisisthegreenroom.com/2011/installing-python-numpy-scipy-matplotlib-and-ipython-on-lion/#numpy

The instructions at [2] lead to a segfault in scipy.test() for me, because it used llvm-gcc (which is the default on Lion).


More information about the NumPy-Discussion mailing list